<div class="outer_container">
  <div class="list_events" >
    <div class="container">

      <% if @events.present? %>
        <div class="row">
          <div class="col">
            <div class="section_title_container text-center">
              <h2 class="section_title">Events</h2>
            </div>
          </div>
        </div>
        <div class="row events_row">
          <% @events.each do |event| %>
            <div class="col-lg-4 event_col">
              <div class="event event_left">
                <div class="event_image" >
                  <%= image_tag event.image_url %>
                </div>
                <div class="event_body d-flex flex-row align-items-start justify-content-start">
                  <div class="event_date">
                    <div class="d-flex flex-column align-items-center justify-content-center trans_200">
                      <div class="event_day trans_200">
                        <%= event.event_date.strftime("%d/%m") %>  
                      </div>
                    </div>
                  </div>
                  <div class="event_content">
                    <div class="event_title">
                      <h4><%= link_to event.name, details_event_path(event)%></h4>
                    </div>
                    <div class="event_info_container">
                      <div class="event_info">
                        <span>
                          <%= event.reg_end_date.strftime("%d/%m/%y") %> 
                        </span>
                      </div>
                      <div class="event_info">
                        <% if !current_user || current_user.role != "staff" %>
                          <% if current_user && UserEvent.where(user_id: current_user.id, event_id: event.id).present? %>
                            <span class="registered">
                              Registered
                            </span>
                          <% else %>
                            <% if event.reg_end_date >= Date.today %>
                              <%#= link_to "Register", register_event_path(event)   %>
                              <%= link_to "Register", new_event_registration_path(event)   %>
                            <% else %>
                              Registration closed
                            <% end %>
                          <% end %>
                        <% end %>
                      </div>
                      <div class="event_text">
                        <p><%= truncate(strip_tags(event.description), length: 250, seperator: ' ') %></p>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          <% end %>
        </div>
      <% else %>
        <div style="padding: 30px;">
          No events found
        </div>
      <% end %>

    </div>
  </div>
</div>
